<form [formGroup]="additionalInfoFormGroup">
    <div class="example-container mat-elevation-z4" fxLayout="column"  fxLayoutGap="20px" >

        <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
            <div fxFlex="50" class="optional-label-color">Please select the Placement Agency responsible for the referral process</div>
            <div fxFlex>
            </div> 
        </div>
        <div fxLayout="row" class="div-row div-border" fxLayoutAlign="left center">
            <div fxFlex="10"></div>
            <div fxFlex="10" class="required-label-color">Agreement Population</div>
            <div fxFlex="25" fxLayoutAlign="center center" style="margin-top: 12px">
                    <mat-form-field style="width: 400px;" appearance="outline" >
                        <mat-select formControlName="populationNamesCtrl" [(ngModel)]="popNamesDataModel" placeholder="Select" (selectionChange)="agreementPopSelectChange($event)">
                        <mat-option *ngFor="let population of populationInputGridData" [value]="population.uniqueID">
                                {{population.name}}
                        </mat-option>
                        </mat-select>
                    </mat-form-field>
            </div>
            <div fxFlex="10" class="required-label-color" fxLayoutAlign="center center">Placement Agency</div>
            <div fxFlex="25" fxLayoutAlign="center center" style="margin-top: 12px">
                    <mat-form-field style="width: 400px;" appearance="outline" >
                        <mat-select formControlName="placementAgencyCtrl" [(ngModel)]="placementAgencyDataModel" placeholder="Select" (selectionChange)="placementSelectChange($event)" multiple >
                        <mat-option *ngFor="let placementAgency of placementAgencies" [value]="placementAgency.agencyNo_SiteNo">
                                {{placementAgency.placementAgencyName}}
                        </mat-option>
                        </mat-select>
                    </mat-form-field>
            </div>
            <div fxFlex="10" fxLayoutAlign="center center">
                <button type="button" mat-raised-button color="primary" (click)="savePlacementAgency()">{{saveOrAddLabel3}}</button> &nbsp;
                <button type="button" mat-raised-button color="primary" (click)="clearPlacementAgency()">Clear</button>
            </div>
            <div fxFlex></div>
        </div>

        <div fxLayout="row" fxLayoutAlign="left center">
            <div><span>&nbsp;</span></div>
        </div>

        <div fxLayout="row" fxLayoutAlign="left center">
            <ag-grid-angular #agPlacementGrid id="placementGrid" style="width: 100%"
                class="ag-theme-balham my-grid" [columnDefs]="placementColumnDefs" [defaultColDef]="defaultColDef"
                [rowData]="placementGridData" [rowSelection]="rowSelection" [singleClickEdit]="true"
                [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
                [pagination]="pagination" [paginationPageSize]="10" [context]="context"
                [frameworkComponents]="placementGridComponents" (firstDataRendered)="onFirstDataRendered($event)"
                (gridReady)="onGridReady($event)">
            </ag-grid-angular>
        </div>

        <div fxLayout="row" fxLayoutAlign="left center">
            <div><span>&nbsp;</span></div>
        </div>

    </div>
</form> 